본문으로 건너뛰기
Twexapi
한국어
Esc
이동열기⌘J미리보기

[Step 3/5] Set article title

Step 3 of 5 — Set the title of the draft.

  • article_id: obtained from Step 1
  • title: plain text, no Markdown
API 참조로 돌아가기
/Article Endpoints
PUT/x/articles/{article_id}/title
API 인증
AuthorizationBearer token · header필수
TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
경로 매개변수
article_idstring필수
요청 본문
필수application/json
cookiestring필수
사용자가 직접 승인한 Twitter 세션 자격 증명 또는 auth_token (BYOC — Bring Your Own Cookie). 자격 증명은 저장되지 않으며 무상태 프록시로만 실행됩니다. 자세한 내용은 [인증 및 보안 안내](/ko/authentication#write-operations--byoc-bring-your-own-cookie) 및 [쿠키 확인 방법](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie)을 참조하세요.
titlestring필수
Article title
응답
200요청 성공 응답
codeinteger필수
HTTP 상태 코드 (200은 성공)
msgstring필수
응답 메시지 (예: 'success')
dataany
엔드포인트가 반환한 핵심 데이터
422요청 매개변수 유효성 검사 오류
detailValidationError[]
속성 표시
Array of ValidationError
locstring | integer[]필수
속성 표시
Array of string | integer
Any of:
string
string
integer
integer
msgstring필수
응답 메시지 (예: 'success')
typestring필수
inputany
ctxobject
429Daily tweet limit reached
500Server error
대화형 콘솔PUT
대화형 콘솔 / API 테스트PUT
Live Console
🌐대상 서버:https://api.twexapi.io
● 프로덕션 준비 완료
✍️
쓰기 작업 인증 정보 가이드 (TwexAPI 키 + Twitter 쿠키)

1. TwexAPI 플랫폼 키 (Bearer Token): 요청 과금 및 인증을 위해 아래 "API 인증"에 입력하세요.

2. Twitter 계정 쿠키: 트윗, 좋아요, 팔로우 등 쓰기 작업을 위해 아래 요청 본문의 cookie 필드에 쿠키(예: auth_token=...; ct0=...)를 입력하세요.

🔑API 인증
⚙️요청 파라미터 (1)
📝요청 본문application/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

요청 예시
curl -X PUT "https://api.twexapi.io/x/articles/string/title" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "string",
  "title": "string"
}'
응답 예시
{
  "code": 0,
  "msg": "string",
  "data": null
}